# Returns a contact duplicate from the system by its ID.

This method will look up a contact duplicate by the specified ID and return it back.

Endpoint: GET /contactDuplicates/{tenantId}/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the contact duplicate to return.

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned.

  - `consistentRead` (string)
    Indicates the API should force a consistent read on the data source.

## Response 200 fields (application/json):

  - `alt_address_postal_code` (string)
    An alternative address postal code of the contact

  - `email_address` (string)
    The primary email address

  - `email_address2` (string)
    Secondary email address

  - `email_address3` (string)
    Tertiary email address

  - `first_name` (string)
    The contact's first name

  - `first_name_metaphones` (array)
    The metaphones calculated from the contact's first name

  - `first_name_primary_metaphone` (string)
    The primary metaphone calculated from the contact's first name

  - `first_name_secondary_metaphone` (string)
    The secondary metaphone calculated from the contact's first name

  - `highest_confidence` (number)
    The highest confidence score within the possible duplicates excluding whitelisted records

  - `home_address_postal_code` (string)
    The home address postal code of the contact

  - `home_phone_number` (string)
    Home phone number

  - `id` (string, required)
    The unique, string identifier of this contact

  - `last_name` (string)
    The contact's last name

  - `last_name_metaphones` (array)
    The metaphones calculated from the contact's last name

  - `last_name_primary_metaphone` (string)
    The primary metaphone calculated from the contact's last name

  - `last_name_secondary_metaphone` (string)
    The secondary metaphone calculated from the contact's last name

  - `manual_duplicates` (array)
    The IDs of contacts that have been manually identified as duplicates of this contact

  - `middle_name` (string)
    The contact's middle name

  - `mobile_phone_number` (string)
    Mobile phone number

  - `number_of_possible_duplicates` (number)
    The number of possible duplicates excluding whitelisted records

  - `organization_id` (string)
    The ID of the organization that the contact belongs to

  - `other_phone_numbers` (array)

  - `other_phone_numbers.phone_number` (string, required)
    The phone number

  - `other_phone_numbers.type_id` (string, required)
    The phone number type

  - `phone_numbers` (array)
    All of the contact's phone numbers

  - `possible_duplicates` (array)
    The contacts that are potentially duplicates of this contact

  - `possible_duplicates.confidence` (number, required)
    The likelihood that these two contacts are duplicates on a scale of 1 to 100

  - `possible_duplicates.match` (string, required)
    The ID of a contact that is potentially a duplicate of this contact

  - `postal_codes` (array)
    The postal codes off all the contact's addresses

  - `preferred_address` (object)
    A complete address

  - `preferred_address.city` (string)
    The city of the address

  - `preferred_address.country` (string)
    The country ISO code

  - `preferred_address.country_name` (string)
    The full name of hte country

  - `preferred_address.county` (string)
    The county

  - `preferred_address.latitude` (number)

  - `preferred_address.line1` (string)
    The first line of the address

  - `preferred_address.line2` (string)
    The second line of the address

  - `preferred_address.line3` (string)
    The third line of the address

  - `preferred_address.longitude` (number)

  - `preferred_address.postal_code` (string)
    The zip/postal code

  - `preferred_address.state` (string)
    The state/province of the address

  - `preferred_address.time_zone_id` (string)

  - `school_phone_number` (string)
    Fax phone number

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_match_directive` (string)

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `whitelist` (array)
    The IDs of contacts that have been manually identified as not duplicates of this contact. These IDs may appear in the possible_duplicates array but should not be presented

  - `work_address_postal_code` (string)
    The work address postal code of the contact

  - `work_mobile_phone_number` (string)
    Mobile phone number for business unit

  - `work_phone_number` (string)
    Work phone number


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
